---
import Layout from '~/layouts/PageLayout.astro';

import Hero from '~/components/widgets/Hero.astro';
import Hero2 from '~/components/widgets/Hero2.astro';
import Features from '~/components/widgets/Features.astro';
import Features2 from '~/components/widgets/Features2.astro';
import Content from '~/components/widgets/Content.astro';
import BlogLatestPosts from '~/components/widgets/BlogLatestPosts.astro';
import CallToAction from '~/components/widgets/CallToAction.astro';

const metadata = {
  title: 'Portfolio Website – Innovative Software Solutions',
  ignoreTitleTemplate: true
};
---

<Layout metadata={metadata}>
  <!-- Hero Widget ******************* -->

  <Hero
    actions={[
      { text: 'Learn More', href: '#learn-more' },
    ]}
    image={{ 
      src: '~/assets/images/pexels-karolina-grabowska-5208871.jpg', 
      alt: 'Smartphone and a Laptop Keyboard on a Flat Surface' 
    }}
  >
    <Fragment slot="title">
      Portfolio Website
    </Fragment>

    <Fragment slot="subtitle">
      <span class="sm:inline">
        😊 Welcome!<br />As a developer, I create innovative software solutions.</span
      >
    </Fragment>
  </Hero>

  <!-- Features Widget *************** -->

  <Features
    id="learn-more"
    title="Portfolio Contents"
    subtitle="A website showcasing independent research and development."
    items={[
      /*{
        title: 'Services',
        description:
          `Refining a software development team via quality partnership and technical mastery elevates its overall enterprise value. <a href="/#services" class="action-link">View Services</a>`,
        icon: 'tabler:packages',
      },*/
      {
        title: 'Research',
        description:
          `Individual analysis of technical topics, including software design and best practices, provides a foundation for future learning. <a href="/#research" class="action-link">View Research</a>`,
        icon: 'tabler:components',
      },
      {
        title: 'Development',
        description:
          `A variety of independent code projects experimenting with new technologies fosters innovation. <a href="/#development" class="action-link">View Development</a>`,
        icon: 'tabler:device-laptop',
      },      
      /*{
        title: 'Projects',
        description:
          `Professional software features, including user onboarding, authentication, and record management, apply to a number of industries and software vendors. <a href="/#projects" class="action-link">View Projects</a>`,
        icon: 'tabler:building-skyscraper',
      },*/
      {
        title: 'Recent Activity',
        description:
          `Review software development highlights across a number of business project initiatives. <a href="/recent-activity/" class="action-link">View Recent Activity</a>`,
        icon: 'tabler:device-desktop-analytics',
      },
      {
        title: 'Technologies',
        description:
          `Discover a variety of technologies implemented in both professional and personal projects. <a href="/technologies/" class="action-link">View Technologies</a>`,
        icon: 'tabler:cpu-2',
      }
    ]}
  />

  <!-- Features2 Widget ************** -->

  <!--<Features2
    title="<a id='services' class='scroll-buffer'></a>Services"
    subtitle="A wide range of expertise helps a team develop software to its full potential."
    items={[
      {
        title: 'Story and Issue Development',
        description:
          `Well written stories, issues, and bug reports empower team members to work efficiently and produce meaningful business value.  A balanced approach provides enough detail while advancing ingenuity. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:template',
      },
      {
        title: 'Pull Request Review and Feedback',
        description:
          `Proposed code changes require careful analysis of the existing architectural structure and development process.  This promotes opportunities to contribute supportive commentary and technical suggestions. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:approval',
      },
      {
        title: 'Feature Innovation',
        description:
          `TODO. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:engineering',
      },
      {
        title: 'Full-Stack Collaboration',
        description:
          `TODO. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:workflow',
      },
      {
        title: 'Documentation',
        description:
          `TODO. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:document',
      },
      {
        title: 'Maintenance and Support',
        description:
          `TODO. <a href="#" class="action-link">View Details</a>`,
        icon: 'flat-color-icons:services',
      },
    ]}
  >
    <Fragment slot="bg">
      <div class="absolute inset-0 bg-blue-50 dark:bg-transparent"></div>
    </Fragment>
  </Features2>-->  

  <!-- Content Widget **************** -->

  <Content
    isReversed    
    tagline="Example work"
    title="Detailed Documentation"
    subtitle="<a id='research'></a>A journey creating, improving, and maintaining technologies."    
    items={[
      /*
      {
        title: 'Opportunities for Optimizing Software Development',
        description:
          `Streamline a team's software delivery workflow with helpful insights throughout the lifecycle. <a href="/opportunities-for-optimizing-software-development/" class="action-link">View Details</a>`,
        icon: 'tabler:cube-send'
      },*/
      {
        title: 'Building Effective Web Apps and Sites',
        description:
          `Deliver delightful user experiences by polishing both new and existing web deployments. <a href="/building-effective-web-apps-and-sites/" class="action-link">View Details</a>`,
        icon: 'tabler:browser-check'
      },
      {
        title: 'Helpful Tips for GitHub Pull Requests',
        description: `Boost collaboration and software quality while fostering an efficient code review culture. <a href="/helpful-tips-for-github-pull-requests/" class="action-link">View Details</a>`,
        icon: 'tabler:brand-github'
      },
      {
        title: 'DDoS Protection Best Practices',
        description:
          `Protect critical web apps by strategically mitigating abusive and/or malicious network traffic scenarios. <a href="/ddos-protection-best-practices/" class="action-link">View Details</a>`,
        icon: 'tabler:cloud-computing'
      },
    ]}
    image={{
      src: '~/assets/images/pexels-lukas-317371.jpg',
      alt: 'Selective Focus Photography of Wireless Keyboard on Desk',
    }}    
  >
  
    <Fragment slot="content">
      <h3 class="text-2xl font-bold tracking-tight dark:text-white sm:text-3xl mb-2">Research</h3>
       Write-ups on technical topics, software design, and best practices document ongoing experiences.
       <a href="/research/" class="action-link">View Research</a>
    </Fragment>

    <Fragment slot="bg">
      <div class="absolute inset-0 bg-blue-50 dark:bg-transparent"></div>
    </Fragment>
  </Content>

  <!-- Content Widget **************** -->

  <Content
    isAfterContent
    id="development"
    items={[      
      {
        title: 'Crafting a Document Query App',
        description:
          `Configure a local retrieval-augmented generation (RAG) document question and answer app using LM Studio and AnythingLLM. <a href="/crafting-a-document-query-app/" class="action-link">View Details</a>`,
        icon: 'tabler:file-search'
      },
      {
        title: 'Creating and Deploying a Remix App',
        description:
          `Construct an app to display user-generated memes for deployment across various hosting providers. <a href="/creating-and-deploying-a-remix-app/" class="action-link">View Details</a>`,
        icon: 'tabler:photo-star'
      },
      {
        title: 'Generating Blog Content with Scripting',
        description:
          `Produce web content using the Phind AI search engine via browser automation and a local LM Studio inference server. <a href="/generating-blog-content-with-scripting/" class="action-link">View Details</a>`,
        icon: 'tabler:writing'
      }    
    ]}
    image={{
      src: '~/assets/images/pexels-negative-space-160107.jpg',
      alt: 'Gray Laptop Computer Showing Html Codes in Shallow Focus Photography',
    }}
  >
    <Fragment slot="content">
      <h3 class="text-2xl font-bold tracking-tight dark:text-white sm:text-3xl mb-2">Development</h3>
       Innovative side projects promote expertise with emerging software technologies.
       <a href="/development/" class="action-link">View Development</a>
    </Fragment>

    <Fragment slot="bg">
      <div class="absolute inset-0 bg-blue-50 dark:bg-transparent"></div>
    </Fragment>
  </Content>

  <!-- Content Widget **************** -->
  <!--
  <Content
    isReversed
    isAfterContent
    id="projects"
    items={[
      {
        title: 'Document Change Notifications',
        description:
          `Walk through an automated process to efficiently alert stakeholders of contract updates. <a href="/document-change-notifications/" class="action-link">View Details</a>`,
        icon: 'tabler:mail'
      },
      {
        title: 'Sales Territory Mapping',
        description:
          `Explore the business concepts and screen designs to assign sales representatives to hierarchical accounts. <a href="/sales-territory-mapping/" class="action-link">View Details</a>`,
        icon: 'tabler:sitemap'
      },
      {
        title: 'Call Management',
        description:
          `Learn about phone call recording features that allow users to efficiently manage conversations with their contacts. <a href="/call-management/" class="action-link">View Details</a>`,
        icon: 'tabler:phone-call'
      }
    ]}
    image={{
      src: '~/assets/images/pexels-fauxels-3183197.jpg',
      alt: 'Photo Of People Doing Handshakes',
    }}
  >

    <Fragment slot="content">
      <h3 class="text-2xl font-bold tracking-tight dark:text-white sm:text-3xl mb-2">Projects</h3>
       Innovative software concepts optimize user workflows and customer interactions.
       <a href="/projects/" class="action-link">View Projects</a>
    </Fragment>

    <Fragment slot="bg">
      <div class="absolute inset-0 bg-blue-50 dark:bg-transparent"></div>
    </Fragment>
  </Content>
  -->

  <!-- HighlightedPosts Widget ******* -->
<!--
  <BlogLatestPosts
    id="tidbits"
    title="Tidbits"
    information={`Uncover intriguing links to resources with insights enhancing the developer experience.`}
  >
    <Fragment slot="bg">
      <div class="absolute inset-0 bg-slate-50 dark:bg-transparent"></div>
    </Fragment>
  </BlogLatestPosts>
-->
  <!-- CallToAction Widget *********** -->

  <CallToAction
    id="contact"
    actions={[
      {
        variant: 'primary',
        text: 'Contact Me',
        href: '/contact',
        icon: 'tabler:pointer-filled',
      },
    ]}
  >
    <Fragment slot="title">
      Portfolio Website
    </Fragment>

    <Fragment slot="subtitle">
      Interested in innovative research and solutions?
    </Fragment>
  </CallToAction>

  <!-- Hero2 Widget ******************* -->
<!--
  <Hero2    
    tagline="<a id='ai-portfolio'></a>AI Portfolio Website"
    actions={[
      { variant: 'primary', text: 'Visit AI Portfolio Website', href: 'http://ai.portfolio-website.net' },
    ]}
    image={{
      src: '~/assets/images/pexels-tara-winstead-8386361.jpg',
      alt: `Robot Hand on Blue Background`,
    }}
  >
    <Fragment slot="title">
      <br /> <span class="text-accent dark:text-white highlight">AI-Assisted</span> Portfolio<br />
    </Fragment>

    <Fragment slot="subtitle">
      <span class="font-semibold">Looking for more?</span> AI Portfolio Website is a separate venture using AI to generate novel research content and code snippets.
    </Fragment>
  </Hero2>
-->
</Layout>
